OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder Class Reference

`#include <Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder.hxx>`

## Public Member Functions
| Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder (const Handle(Transfer_Finder)&K1, const Standard_Integer K2, const Handle(Transfer_Binder)&I, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_Transfer_Finder & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Handle_Transfer_Binder & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Transfer_Finder | myKey1
Standard_Integer | myKey2
Handle_Transfer_Binder | myValue
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder | ( | const Handle(Transfer_Finder)& | K1,
|  | const Standard_Integer | K2,
|  | const Handle(Transfer_Binder)& | I,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::Handle | ( | Standard_Type |  | ) | const

Handle_Transfer_Finder& Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::Key1 | ( |  | ) | const

Standard_Integer& Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::Key2 | ( |  | ) | const

TCollection_MapNodePtr& Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::Next2 | ( |  | ) | const

Handle_Transfer_Binder& Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::Value | ( |  | ) | const

## Field Documentation

Handle_Transfer_Finder Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::myKey1`[private]`

Standard_Integer Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::myKey2`[private]`

TCollection_MapNodePtr Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::myNext2`[private]`

Handle_Transfer_Binder Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder::myValue`[private]`

The documentation for this class was generated from the following file:

- Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder.hxx